// Styles
import "..\\..\\..\\src\\components\\VSubheader\\VSubheader.sass"; // Mixins

import Themeable from '../../mixins/themeable';
import mixins from '../../util/mixins';
export default mixins(Themeable
/* @vue/component */
).extend({
  name: 'v-subheader',
  props: {
    inset: Boolean,
    classPrefix: {
      type: String,
      default: ''
    }
  },

  render(h) {
    return h('div', {
      staticClass: `${this.classPrefix}v-subheader`,
      class: {
        [`${this.classPrefix}v-subheader--inset`]: this.inset,
        ...this.themeClasses
      },
      attrs: this.$attrs,
      on: this.$listeners
    }, this.$slots.default);
  }

});
//# sourceMappingURL=VSubheader.js.map