// Styles
import "..\\..\\..\\src\\components\\VCalendar\\VCalendarWeekly.sass"; // Mixins

import VCalendarWeekly from './VCalendarWeekly'; // Util

import { parseTimestamp, getStartOfMonth, getEndOfMonth } from './util/timestamp';
/* @vue/component */

export default VCalendarWeekly.extend({
  name: 'v-calendar-monthly',
  props: {
    classPrefix: {
      type: String,
      default: ''
    }
  },
  computed: {
    staticClass() {
      return `${this.classPrefix}v-calendar-monthly ${this.classPrefix}v-calendar-monthly`;
    },

    parsedStart() {
      return getStartOfMonth(parseTimestamp(this.start, true));
    },

    parsedEnd() {
      return getEndOfMonth(parseTimestamp(this.end, true));
    }

  }
});
//# sourceMappingURL=VCalendarMonthly.js.map